## com.mysql.jdbc
Class PreparedStatement.ParseInfo

    java.lang.Object
      com.mysql.jdbc.PreparedStatement.ParseInfo

Enclosing class:
  PreparedStatement

     class PreparedStatement.ParseInfo

extends java.lang.Object

Field Summary
`(package private) char` `firstStmtChar`
`(package private) boolean` `foundLimitClause`
`(package private) boolean` `foundLoadData`
`(package private) boolean` `isOnDuplicateKeyUpdate`
`(package private) long` `lastUsed`
`(package private) int` `statementLength`
`(package private) int` `statementStartPos`
`(package private) byte[][]` `staticSql`

Constructor Summary
`PreparedStatement.ParseInfo(java.lang.String sql, ConnectionImpl conn, java.sql.DatabaseMetaData dbmd, java.lang.String encoding, SingleByteCharsetConverter converter)` Represents the "parsed" state of a client-side prepared statement, with the statement broken up into it's static and dynamic (where parameters are bound) parts.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### firstStmtChar

    char firstStmtChar

### foundLimitClause

    boolean foundLimitClause

### foundLoadData

    boolean foundLoadData

### lastUsed

    long lastUsed

### statementLength

    int statementLength

### statementStartPos

    int statementStartPos

### staticSql

    byte[][] staticSql

### isOnDuplicateKeyUpdate

    boolean isOnDuplicateKeyUpdate

Constructor Detail

### PreparedStatement.ParseInfo

    public PreparedStatement.ParseInfo(java.lang.String sql,
                                       ConnectionImpl conn,
                                       java.sql.DatabaseMetaData dbmd,
                                       java.lang.String encoding,
                                       SingleByteCharsetConverter converter)
                                throws java.sql.SQLException

  Represents the "parsed" state of a client-side prepared statement, with the statement broken up into it's static and dynamic (where parameters are bound) parts.

  Throws:
    `java.sql.SQLException`